/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ResourceContentPageMetadataViewDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ResourceContentPageMetadataViewDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ResourceContentPageMetadataViewDto
        //private ResourceContentPageMetadataViewDto instance;

        public ResourceContentPageMetadataViewDtoTests()
        {
            // TODO uncomment below to create an instance of ResourceContentPageMetadataViewDto
            //instance = new ResourceContentPageMetadataViewDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ResourceContentPageMetadataViewDto
        /// </summary>
        [Fact]
        public void ResourceContentPageMetadataViewDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ResourceContentPageMetadataViewDto
            //Assert.IsType<ResourceContentPageMetadataViewDto>(instance);
        }

        /// <summary>
        /// Test the property 'EditableDataUrl'
        /// </summary>
        [Fact]
        public void EditableDataUrlTest()
        {
            // TODO unit test for the property 'EditableDataUrl'
        }

        /// <summary>
        /// Test the property 'EditableKey'
        /// </summary>
        [Fact]
        public void EditableKeyTest()
        {
            // TODO unit test for the property 'EditableKey'
        }
    }
}
